# eth\_getTransactionByBlockNumberAndIndex

Returns information about a transaction by block number and transaction index position.

### REQUEST

```
POST https://<network>.chainrpc.io/v3/YOUR-API-KEY
```

#### HEADERS

```
Content-Type: application/json
```

#### REQUEST PARAMS

* `BLOCK PARAMETER` *\[required]* - hexadecimal block number, or the string "latest", "earliest" or "pending".
* `TRANSACTION INDEX POSITION` *\[required]* - a hex of the integer representing the position in the block

#### EXAMPLE

```bash
## JSON-RPC over HTTPS POST
## Replace YOUR-API-KEY with an API key from your chainRPC Dashboard
## You can also replace mainnet with a different supported network
curl https://eth.chainrpc.io/v3/YOUR-API-KEY \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionByBlockNumberAndIndex","params": ["0x5BAD55","0x0"],"id":1}'

## JSON-RPC over WSS
## Replace YOUR-API-KEY with an API key from your chainRPC Dashboard
## You can also replace mainnet with a different supported network
wscat -c wss://eth.chainrpc.io/v3/YOUR-API-KEY
>{"jsonrpc":"2.0","method":"eth_getTransactionByBlockNumberAndIndex","params": ["0x5BAD55","0x0"],"id":1}
```

### RESPONSE

#### RESULT FIELDS

* `TRANSACTION` - A transaction object, or null when no transaction was found
  * `accessList`: *\[optional]* list of addresses and storage keys the transaction plans to access. See [access list transactions](broken://pages/aUFKFlNvRU6UyYoTAWv2#access-list-transactions).
  * `blockHash`: 32 Bytes - hash of the block including this transaction. `null` when it's pending.
  * `blockNumber`: number of the block including this transaction. `null` when it's pending.
  * `chainID`: *\[optional]* chain ID specifying the network. Returned only for [EIP-1559 transactions](broken://pages/aUFKFlNvRU6UyYoTAWv2#eip-1559-transactions).
  * `from`: 20 Bytes - address of the sender.
  * `gas`: gas provided by the sender.
  * `gasPrice`: gas price provided by the sender in Wei.
  * `hash`: 32 Bytes - hash of the transaction.
  * `input`: the data sent along with the transaction.
  * `maxPriorityFeePerGas`: *\[optional]* maximum fee, in Wei, the sender is willing to pay per gas above the base fee. See [EIP-1559 transactions](broken://pages/aUFKFlNvRU6UyYoTAWv2#eip-1559-transactions).
  * `maxFeePerGas`: *\[optional]* maximum total fee (base fee + priority fee), in Wei, the sender is willing to pay per gas. See [EIP-1559 transactions](broken://pages/aUFKFlNvRU6UyYoTAWv2#eip-1559-transactions).
  * `nonce`: the number of transactions made by the sender prior to this one.
  * `r`: 32 Bytes - ECDSA signature `r`.
  * `s`: 32 Bytes - ECDSA signature `s`.
  * `to`: 20 Bytes - address of the receiver. `null` when it's a contract creation transaction.
  * `transactionIndex`: the transaction's index position in the block, in hexadecimal. `null` when it's pending.
  * `type`: the [transaction type](broken://pages/aUFKFlNvRU6UyYoTAWv2).
  * `v`: ECDSA recovery ID.
  * `value`: value transferred in Wei.

#### BODY

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "blockHash": "0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35",
    "blockNumber": "0x5bad55",
    "from": "0xfbb1b73c4f0bda4f67dca266ce6ef42f520fbb98",
    "gas": "0x249f0",
    "gasPrice": "0x174876e800",
    "hash": "0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f",
    "input": "0x6ea056a9000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000bd8d7fa6f8cc00",
    "nonce": "0x5e4724",
    "r": "0xd1556332df97e3bd911068651cfad6f975a30381f4ff3a55df7ab3512c78b9ec",
    "s": "0x66b51cbb10cd1b2a09aaff137d9f6d4255bf73cb7702b666ebd5af502ffa4410",
    "to": "0x4b9c25ca0224aef6a7522cabdbc3b2e125b7ca50",
    "transactionIndex": "0x0",
    "type": "0x0",
    "v": "0x25",
    "value": "0x0"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainrpc.io/chainrpc/networks/ethereum/json-rpc-methods/eth_gettransactionbyblocknumberandindex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
